// Copyright 2021 Workiva Inc.
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/// {@category Dom}
library rtl.dom.queries;

export '../src/dom/async/types.dart' show MutationObserverOptions;
export '../src/dom/matches/get_default_normalizer.dart' show getDefaultNormalizer;
export '../src/dom/matches/types.dart' show NormalizerFn, NormalizerOptions;
export '../src/dom/within.dart' show within, WithinQueries, screen, ScreenQueries;
// ignore: directives_ordering
export '../src/dom/top_level_queries.dart'
    show
        getByAltText,
        getAllByAltText,
        queryByAltText,
        queryAllByAltText,
        findByAltText,
        findAllByAltText,
        getByDisplayValue,
        getAllByDisplayValue,
        queryByDisplayValue,
        queryAllByDisplayValue,
        findByDisplayValue,
        findAllByDisplayValue,
        getByLabelText,
        getAllByLabelText,
        queryByLabelText,
        queryAllByLabelText,
        findByLabelText,
        findAllByLabelText,
        getByPlaceholderText,
        getAllByPlaceholderText,
        queryByPlaceholderText,
        queryAllByPlaceholderText,
        findByPlaceholderText,
        findAllByPlaceholderText,
        getByRole,
        getAllByRole,
        queryByRole,
        queryAllByRole,
        findByRole,
        findAllByRole,
        getByText,
        getAllByText,
        queryByText,
        queryAllByText,
        findByText,
        findAllByText,
        getByTestId,
        getAllByTestId,
        queryByTestId,
        queryAllByTestId,
        findByTestId,
        findAllByTestId,
        getByTitle,
        getAllByTitle,
        queryByTitle,
        queryAllByTitle,
        findByTitle,
        findAllByTitle;
